"""
Available voices for TTS.

Automatically generated file, do not edit this file directly.
Run python3 -m scripts/update_voice_data.py to update this file.
"""

TTS_VOICES: dict[str, dict[str, dict | str]] = {
    "af-ZA": {"AdriNeural": "Adri", "WillemNeural": "Willem"},
    "am-ET": {"AmehaNeural": "Ameha", "MekdesNeural": "Mekdes"},
    "ar-AE": {"FatimaNeural": "Fatima", "HamdanNeural": "Hamdan"},
    "ar-BH": {"AliNeural": "Ali", "LailaNeural": "Laila"},
    "ar-DZ": {"AminaNeural": "Amina", "IsmaelNeural": "Ismael"},
    "ar-EG": {"SalmaNeural": "Salma", "ShakirNeural": "Shakir"},
    "ar-IQ": {"BasselNeural": "Bassel", "RanaNeural": "Rana"},
    "ar-JO": {"SanaNeural": "Sana", "TaimNeural": "Taim"},
    "ar-KW": {"FahedNeural": "Fahed", "NouraNeural": "Noura"},
    "ar-LB": {"LaylaNeural": "Layla", "RamiNeural": "Rami"},
    "ar-LY": {"ImanNeural": "Iman", "OmarNeural": "Omar"},
    "ar-MA": {"JamalNeural": "Jamal", "MounaNeural": "Mouna"},
    "ar-OM": {"AbdullahNeural": "Abdullah", "AyshaNeural": "Aysha"},
    "ar-QA": {"AmalNeural": "Amal", "MoazNeural": "Moaz"},
    "ar-SA": {"HamedNeural": "Hamed", "ZariyahNeural": "Zariyah"},
    "ar-SY": {"AmanyNeural": "Amany", "LaithNeural": "Laith"},
    "ar-TN": {"HediNeural": "Hedi", "ReemNeural": "Reem"},
    "ar-YE": {"MaryamNeural": "Maryam", "SalehNeural": "Saleh"},
    "as-IN": {"PriyomNeural": "Priyom", "YashicaNeural": "Yashica"},
    "az-AZ": {"BabekNeural": "Babek", "BanuNeural": "Banu"},
    "bg-BG": {"BorislavNeural": "Borislav", "KalinaNeural": "Kalina"},
    "bn-BD": {"NabanitaNeural": "Nabanita", "PradeepNeural": "Pradeep"},
    "bn-IN": {"BashkarNeural": "Bashkar", "TanishaaNeural": "Tanishaa"},
    "bs-BA": {"GoranNeural": "Goran", "VesnaNeural": "Vesna"},
    "ca-ES": {"AlbaNeural": "Alba", "EnricNeural": "Enric", "JoanaNeural": "Joana"},
    "cs-CZ": {"AntoninNeural": "Antonin", "VlastaNeural": "Vlasta"},
    "cy-GB": {"AledNeural": "Aled", "NiaNeural": "Nia"},
    "da-DK": {"ChristelNeural": "Christel", "JeppeNeural": "Jeppe"},
    "de-AT": {"IngridNeural": "Ingrid", "JonasNeural": "Jonas"},
    "de-CH": {"JanNeural": "Jan", "LeniNeural": "Leni"},
    "de-DE": {
        "AmalaNeural": "Amala",
        "BerndNeural": "Bernd",
        "ChristophNeural": "Christoph",
        "ConradNeural": {"name": "Conrad", "variants": ["cheerful", "sad"]},
        "ElkeNeural": "Elke",
        "GiselaNeural": "Gisela",
        "KasperNeural": "Kasper",
        "KatjaNeural": "Katja",
        "KillianNeural": "Killian",
        "KlarissaNeural": "Klarissa",
        "KlausNeural": "Klaus",
        "LouisaNeural": "Louisa",
        "MajaNeural": "Maja",
        "RalfNeural": "Ralf",
        "TanjaNeural": "Tanja",
    },
    "el-GR": {"AthinaNeural": "Athina", "NestorasNeural": "Nestoras"},
    "en-AU": {
        "AnnetteNeural": "Annette",
        "CarlyNeural": "Carly",
        "DarrenNeural": "Darren",
        "DuncanNeural": "Duncan",
        "ElsieNeural": "Elsie",
        "FreyaNeural": "Freya",
        "JoanneNeural": "Joanne",
        "KenNeural": "Ken",
        "KimNeural": "Kim",
        "NatashaNeural": "Natasha",
        "NeilNeural": "Neil",
        "TimNeural": "Tim",
        "TinaNeural": "Tina",
        "WilliamNeural": "William",
    },
    "en-CA": {"ClaraNeural": "Clara", "LiamNeural": "Liam"},
    "en-GB": {
        "AbbiNeural": "Abbi",
        "AlfieNeural": "Alfie",
        "BellaNeural": "Bella",
        "ElliotNeural": "Elliot",
        "EthanNeural": "Ethan",
        "HollieNeural": "Hollie",
        "LibbyNeural": "Libby",
        "MaisieNeural": "Maisie",
        "NoahNeural": "Noah",
        "OliverNeural": "Oliver",
        "OliviaNeural": "Olivia",
        "RyanNeural": {
            "name": "Ryan",
            "variants": ["cheerful", "chat", "whispering", "sad"],
        },
        "SoniaNeural": {"name": "Sonia", "variants": ["cheerful", "sad"]},
        "ThomasNeural": "Thomas",
    },
    "en-HK": {"SamNeural": "Sam", "YanNeural": "Yan"},
    "en-IE": {"ConnorNeural": "Connor", "EmilyNeural": "Emily"},
    "en-IN": {
        "AaravNeural": "Aarav",
        "AartiNeural": "Aarti",
        "AashiNeural": "Aashi",
        "AnanyaNeural": "Ananya",
        "ArjunNeural": "Arjun",
        "KavyaNeural": "Kavya",
        "KunalNeural": "Kunal",
        "NeerjaNeural": {
            "name": "Neerja",
            "variants": ["newscast", "cheerful", "empathetic"],
        },
        "PrabhatNeural": "Prabhat",
        "RehaanNeural": "Rehaan",
    },
    "en-KE": {"AsiliaNeural": "Asilia", "ChilembaNeural": "Chilemba"},
    "en-NG": {"AbeoNeural": "Abeo", "EzinneNeural": "Ezinne"},
    "en-NZ": {"MitchellNeural": "Mitchell", "MollyNeural": "Molly"},
    "en-PH": {"JamesNeural": "James", "RosaNeural": "Rosa"},
    "en-SG": {"LunaNeural": "Luna", "WayneNeural": "Wayne"},
    "en-TZ": {"ElimuNeural": "Elimu", "ImaniNeural": "Imani"},
    "en-US": {
        "AmberNeural": "Amber",
        "AnaNeural": "Ana",
        "AndrewNeural": "Andrew",
        "AriaNeural": {
            "name": "Aria",
            "variants": [
                "chat",
                "customerservice",
                "narration-professional",
                "newscast-casual",
                "newscast-formal",
                "cheerful",
                "empathetic",
                "angry",
                "sad",
                "excited",
                "friendly",
                "terrified",
                "shouting",
                "unfriendly",
                "whispering",
                "hopeful",
            ],
        },
        "AshleyNeural": "Ashley",
        "AvaNeural": "Ava",
        "BrandonNeural": "Brandon",
        "BrianNeural": "Brian",
        "ChristopherNeural": "Christopher",
        "CoraNeural": "Cora",
        "DavisNeural": {
            "name": "Davis",
            "variants": [
                "chat",
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
        "ElizabethNeural": "Elizabeth",
        "EmmaNeural": "Emma",
        "EricNeural": "Eric",
        "GuyNeural": {
            "name": "Guy",
            "variants": [
                "newscast",
                "angry",
                "cheerful",
                "sad",
                "excited",
                "friendly",
                "terrified",
                "shouting",
                "unfriendly",
                "whispering",
                "hopeful",
            ],
        },
        "JacobNeural": "Jacob",
        "JaneNeural": {
            "name": "Jane",
            "variants": [
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
        "JasonNeural": {
            "name": "Jason",
            "variants": [
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
        "JennyNeural": {
            "name": "Jenny",
            "variants": [
                "assistant",
                "chat",
                "customerservice",
                "newscast",
                "angry",
                "cheerful",
                "sad",
                "excited",
                "friendly",
                "terrified",
                "shouting",
                "unfriendly",
                "whispering",
                "hopeful",
            ],
        },
        "KaiNeural": {"name": "Kai", "variants": ["conversation"]},
        "LunaNeural": {"name": "Luna", "variants": ["conversation"]},
        "MichelleNeural": "Michelle",
        "MonicaNeural": "Monica",
        "NancyNeural": {
            "name": "Nancy",
            "variants": [
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
        "RogerNeural": "Roger",
        "SaraNeural": {
            "name": "Sara",
            "variants": [
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
        "SteffanNeural": "Steffan",
        "TonyNeural": {
            "name": "Tony",
            "variants": [
                "angry",
                "cheerful",
                "excited",
                "friendly",
                "hopeful",
                "sad",
                "shouting",
                "terrified",
                "unfriendly",
                "whispering",
            ],
        },
    },
    "en-ZA": {"LeahNeural": "Leah", "LukeNeural": "Luke"},
    "es-AR": {"ElenaNeural": "Elena", "TomasNeural": "Tomas"},
    "es-BO": {"MarceloNeural": "Marcelo", "SofiaNeural": "Sofia"},
    "es-CL": {"CatalinaNeural": "Catalina", "LorenzoNeural": "Lorenzo"},
    "es-CO": {"GonzaloNeural": "Gonzalo", "SalomeNeural": "Salome"},
    "es-CR": {"JuanNeural": "Juan", "MariaNeural": "Maria"},
    "es-CU": {"BelkysNeural": "Belkys", "ManuelNeural": "Manuel"},
    "es-DO": {"EmilioNeural": "Emilio", "RamonaNeural": "Ramona"},
    "es-EC": {"AndreaNeural": "Andrea", "LuisNeural": "Luis"},
    "es-ES": {
        "AbrilNeural": "Abril",
        "AlvaroNeural": {"name": "Alvaro", "variants": ["cheerful", "sad"]},
        "ArnauNeural": "Arnau",
        "DarioNeural": "Dario",
        "EliasNeural": "Elias",
        "ElviraNeural": "Elvira",
        "EstrellaNeural": "Estrella",
        "IreneNeural": "Irene",
        "LaiaNeural": "Laia",
        "LiaNeural": "Lia",
        "NilNeural": "Nil",
        "SaulNeural": "Saul",
        "TeoNeural": "Teo",
        "TrianaNeural": "Triana",
        "VeraNeural": "Vera",
        "XimenaNeural": "Ximena",
    },
    "es-GQ": {"JavierNeural": "Javier", "TeresaNeural": "Teresa"},
    "es-GT": {"AndresNeural": "Andres", "MartaNeural": "Marta"},
    "es-HN": {"CarlosNeural": "Carlos", "KarlaNeural": "Karla"},
    "es-MX": {
        "BeatrizNeural": "Beatriz",
        "CandelaNeural": "Candela",
        "CarlotaNeural": "Carlota",
        "CecilioNeural": "Cecilio",
        "DaliaNeural": {"name": "Dalia", "variants": ["cheerful", "sad", "whispering"]},
        "GerardoNeural": "Gerardo",
        "JorgeNeural": {
            "name": "Jorge",
            "variants": ["cheerful", "chat", "whispering", "sad", "excited"],
        },
        "LarissaNeural": "Larissa",
        "LibertoNeural": "Liberto",
        "LucianoNeural": "Luciano",
        "MarinaNeural": "Marina",
        "NuriaNeural": "Nuria",
        "PelayoNeural": "Pelayo",
        "RenataNeural": "Renata",
        "YagoNeural": "Yago",
    },
    "es-NI": {"FedericoNeural": "Federico", "YolandaNeural": "Yolanda"},
    "es-PA": {"MargaritaNeural": "Margarita", "RobertoNeural": "Roberto"},
    "es-PE": {"AlexNeural": "Alex", "CamilaNeural": "Camila"},
    "es-PR": {"KarinaNeural": "Karina", "VictorNeural": "Victor"},
    "es-PY": {"MarioNeural": "Mario", "TaniaNeural": "Tania"},
    "es-SV": {"LorenaNeural": "Lorena", "RodrigoNeural": "Rodrigo"},
    "es-US": {"AlonsoNeural": "Alonso", "PalomaNeural": "Paloma"},
    "es-UY": {"MateoNeural": "Mateo", "ValentinaNeural": "Valentina"},
    "es-VE": {"PaolaNeural": "Paola", "SebastianNeural": "Sebastian"},
    "et-EE": {"AnuNeural": "Anu", "KertNeural": "Kert"},
    "eu-ES": {"AinhoaNeural": "Ainhoa", "AnderNeural": "Ander"},
    "fa-IR": {"DilaraNeural": "Dilara", "FaridNeural": "Farid"},
    "fi-FI": {"HarriNeural": "Harri", "NooraNeural": "Noora", "SelmaNeural": "Selma"},
    "fil-PH": {"AngeloNeural": "Angelo", "BlessicaNeural": "Blessica"},
    "fr-BE": {"CharlineNeural": "Charline", "GerardNeural": "Gerard"},
    "fr-CA": {
        "AntoineNeural": "Antoine",
        "JeanNeural": "Jean",
        "SylvieNeural": "Sylvie",
        "ThierryNeural": "Thierry",
    },
    "fr-CH": {"ArianeNeural": "Ariane", "FabriceNeural": "Fabrice"},
    "fr-FR": {
        "AlainNeural": "Alain",
        "BrigitteNeural": "Brigitte",
        "CelesteNeural": "Celeste",
        "ClaudeNeural": "Claude",
        "CoralieNeural": "Coralie",
        "DeniseNeural": {
            "name": "Denise",
            "variants": ["cheerful", "sad", "whispering", "excited"],
        },
        "EloiseNeural": "Eloise",
        "HenriNeural": {
            "name": "Henri",
            "variants": ["cheerful", "sad", "whispering", "excited"],
        },
        "JacquelineNeural": "Jacqueline",
        "JeromeNeural": "Jerome",
        "JosephineNeural": "Josephine",
        "MauriceNeural": "Maurice",
        "YvesNeural": "Yves",
        "YvetteNeural": "Yvette",
    },
    "ga-IE": {"ColmNeural": "Colm", "OrlaNeural": "Orla"},
    "gl-ES": {"RoiNeural": "Roi", "SabelaNeural": "Sabela"},
    "gu-IN": {"DhwaniNeural": "Dhwani", "NiranjanNeural": "Niranjan"},
    "he-IL": {"AvriNeural": "Avri", "HilaNeural": "Hila"},
    "hi-IN": {
        "AaravNeural": "Aarav",
        "AartiNeural": "Aarti",
        "AnanyaNeural": "Ananya",
        "ArjunNeural": "Arjun",
        "KavyaNeural": "Kavya",
        "KunalNeural": "Kunal",
        "MadhurNeural": "Madhur",
        "RehaanNeural": "Rehaan",
        "SwaraNeural": {
            "name": "Swara",
            "variants": ["newscast", "cheerful", "empathetic"],
        },
    },
    "hr-HR": {"GabrijelaNeural": "Gabrijela", "SreckoNeural": "Srecko"},
    "hu-HU": {"NoemiNeural": "Noemi", "TamasNeural": "Tamas"},
    "hy-AM": {"AnahitNeural": "Anahit", "HaykNeural": "Hayk"},
    "id-ID": {"ArdiNeural": "Ardi", "GadisNeural": "Gadis"},
    "is-IS": {"GudrunNeural": "Gudrun", "GunnarNeural": "Gunnar"},
    "it-IT": {
        "BenignoNeural": "Benigno",
        "CalimeroNeural": "Calimero",
        "CataldoNeural": "Cataldo",
        "DiegoNeural": {"name": "Diego", "variants": ["cheerful", "sad", "excited"]},
        "ElsaNeural": "Elsa",
        "FabiolaNeural": "Fabiola",
        "FiammaNeural": "Fiamma",
        "GianniNeural": "Gianni",
        "GiuseppeNeural": "Giuseppe",
        "ImeldaNeural": "Imelda",
        "IrmaNeural": "Irma",
        "IsabellaNeural": {
            "name": "Isabella",
            "variants": ["cheerful", "chat", "whispering", "sad", "excited"],
        },
        "LisandroNeural": "Lisandro",
        "PalmiraNeural": "Palmira",
        "PierinaNeural": "Pierina",
        "RinaldoNeural": "Rinaldo",
    },
    "iu-Cans-CA": {"SiqiniqNeural": "Siqiniq", "TaqqiqNeural": "Taqqiq"},
    "iu-Latn-CA": {"SiqiniqNeural": "Siqiniq", "TaqqiqNeural": "Taqqiq"},
    "ja-JP": {
        "AoiNeural": "Aoi",
        "DaichiNeural": "Daichi",
        "KeitaNeural": "Keita",
        "MayuNeural": "Mayu",
        "NanamiNeural": {
            "name": "Nanami",
            "variants": ["chat", "customerservice", "cheerful"],
        },
        "NaokiNeural": "Naoki",
        "ShioriNeural": "Shiori",
    },
    "jv-ID": {"DimasNeural": "Dimas", "SitiNeural": "Siti"},
    "ka-GE": {"EkaNeural": "Eka", "GiorgiNeural": "Giorgi"},
    "kk-KZ": {"AigulNeural": "Aigul", "DauletNeural": "Daulet"},
    "km-KH": {"PisethNeural": "Piseth", "SreymomNeural": "Sreymom"},
    "kn-IN": {"GaganNeural": "Gagan", "SapnaNeural": "Sapna"},
    "ko-KR": {
        "BongJinNeural": "BongJin",
        "GookMinNeural": "GookMin",
        "HyunsuNeural": "Hyunsu",
        "InJoonNeural": {"name": "InJoon", "variants": ["sad"]},
        "JiMinNeural": "JiMin",
        "SeoHyeonNeural": "SeoHyeon",
        "SoonBokNeural": "SoonBok",
        "SunHiNeural": "Sun-Hi",
        "YuJinNeural": "YuJin",
    },
    "lo-LA": {"ChanthavongNeural": "Chanthavong", "KeomanyNeural": "Keomany"},
    "lt-LT": {"LeonasNeural": "Leonas", "OnaNeural": "Ona"},
    "lv-LV": {"EveritaNeural": "Everita", "NilsNeural": "Nils"},
    "mk-MK": {"AleksandarNeural": "Aleksandar", "MarijaNeural": "Marija"},
    "ml-IN": {"MidhunNeural": "Midhun", "SobhanaNeural": "Sobhana"},
    "mn-MN": {"BataaNeural": "Bataa", "YesuiNeural": "Yesui"},
    "mr-IN": {"AarohiNeural": "Aarohi", "ManoharNeural": "Manohar"},
    "ms-MY": {"OsmanNeural": "Osman", "YasminNeural": "Yasmin"},
    "mt-MT": {"GraceNeural": "Grace", "JosephNeural": "Joseph"},
    "my-MM": {"NilarNeural": "Nilar", "ThihaNeural": "Thiha"},
    "nb-NO": {
        "FinnNeural": "Finn",
        "IselinNeural": "Iselin",
        "PernilleNeural": "Pernille",
    },
    "ne-NP": {"HemkalaNeural": "Hemkala", "SagarNeural": "Sagar"},
    "nl-BE": {"ArnaudNeural": "Arnaud", "DenaNeural": "Dena"},
    "nl-NL": {
        "ColetteNeural": "Colette",
        "FennaNeural": "Fenna",
        "MaartenNeural": "Maarten",
    },
    "or-IN": {"SubhasiniNeural": "Subhasini", "SukantNeural": "Sukant"},
    "pa-IN": {"OjasNeural": "Ojas", "VaaniNeural": "Vaani"},
    "pl-PL": {
        "AgnieszkaNeural": "Agnieszka",
        "MarekNeural": "Marek",
        "ZofiaNeural": "Zofia",
    },
    "ps-AF": {"GulNawazNeural": "Gul Nawaz", "LatifaNeural": "Latifa"},
    "pt-BR": {
        "AntonioNeural": "Antonio",
        "BrendaNeural": "Brenda",
        "DonatoNeural": "Donato",
        "ElzaNeural": "Elza",
        "FabioNeural": "Fabio",
        "FranciscaNeural": {"name": "Francisca", "variants": ["calm"]},
        "GiovannaNeural": "Giovanna",
        "HumbertoNeural": "Humberto",
        "JulioNeural": "Julio",
        "LeilaNeural": "Leila",
        "LeticiaNeural": "Leticia",
        "ManuelaNeural": "Manuela",
        "NicolauNeural": "Nicolau",
        "ThalitaNeural": "Thalita",
        "ValerioNeural": "Valerio",
        "YaraNeural": "Yara",
    },
    "pt-PT": {
        "DuarteNeural": "Duarte",
        "FernandaNeural": "Fernanda",
        "RaquelNeural": {"name": "Raquel", "variants": ["sad", "whispering"]},
    },
    "ro-RO": {"AlinaNeural": "Alina", "EmilNeural": "Emil"},
    "ru-RU": {
        "DariyaNeural": "Dariya",
        "DmitryNeural": "Dmitry",
        "SvetlanaNeural": "Svetlana",
    },
    "si-LK": {"SameeraNeural": "Sameera", "ThiliniNeural": "Thilini"},
    "sk-SK": {"LukasNeural": "Lukas", "ViktoriaNeural": "Viktoria"},
    "sl-SI": {"PetraNeural": "Petra", "RokNeural": "Rok"},
    "so-SO": {"MuuseNeural": "Muuse", "UbaxNeural": "Ubax"},
    "sq-AL": {"AnilaNeural": "Anila", "IlirNeural": "Ilir"},
    "sr-Latn-RS": {"NicholasNeural": "Nicholas", "SophieNeural": "Sophie"},
    "sr-RS": {"NicholasNeural": "Nicholas", "SophieNeural": "Sophie"},
    "su-ID": {"JajangNeural": "Jajang", "TutiNeural": "Tuti"},
    "sv-SE": {
        "HilleviNeural": "Hillevi",
        "MattiasNeural": "Mattias",
        "SofieNeural": "Sofie",
    },
    "sw-KE": {"RafikiNeural": "Rafiki", "ZuriNeural": "Zuri"},
    "sw-TZ": {"DaudiNeural": "Daudi", "RehemaNeural": "Rehema"},
    "ta-IN": {"PallaviNeural": "Pallavi", "ValluvarNeural": "Valluvar"},
    "ta-LK": {"KumarNeural": "Kumar", "SaranyaNeural": "Saranya"},
    "ta-MY": {"KaniNeural": "Kani", "SuryaNeural": "Surya"},
    "ta-SG": {"AnbuNeural": "Anbu", "VenbaNeural": "Venba"},
    "te-IN": {"MohanNeural": "Mohan", "ShrutiNeural": "Shruti"},
    "th-TH": {
        "AcharaNeural": "Achara",
        "NiwatNeural": "Niwat",
        "PremwadeeNeural": "Premwadee",
    },
    "tr-TR": {"AhmetNeural": "Ahmet", "EmelNeural": "Emel"},
    "uk-UA": {"OstapNeural": "Ostap", "PolinaNeural": "Polina"},
    "ur-IN": {"GulNeural": "Gul", "SalmanNeural": "Salman"},
    "ur-PK": {"AsadNeural": "Asad", "UzmaNeural": "Uzma"},
    "uz-UZ": {"MadinaNeural": "Madina", "SardorNeural": "Sardor"},
    "vi-VN": {"HoaiMyNeural": "HoaiMy", "NamMinhNeural": "NamMinh"},
    "wuu-CN": {"XiaotongNeural": "Xiaotong", "YunzheNeural": "Yunzhe"},
    "yue-CN": {"XiaoMinNeural": "XiaoMin", "YunSongNeural": "YunSong"},
    "zh-CN": {
        "XiaochenNeural": {"name": "Xiaochen", "variants": ["livecommercial"]},
        "XiaohanNeural": {
            "name": "Xiaohan",
            "variants": [
                "calm",
                "fearful",
                "cheerful",
                "disgruntled",
                "serious",
                "angry",
                "sad",
                "gentle",
                "affectionate",
                "embarrassed",
            ],
        },
        "XiaomengNeural": {"name": "Xiaomeng", "variants": ["chat"]},
        "XiaomoNeural": {
            "name": "Xiaomo",
            "variants": [
                "embarrassed",
                "calm",
                "fearful",
                "cheerful",
                "disgruntled",
                "serious",
                "angry",
                "sad",
                "depressed",
                "affectionate",
                "gentle",
                "envious",
            ],
        },
        "XiaoqiuNeural": "Xiaoqiu",
        "XiaorouNeural": "Xiaorou",
        "XiaoruiNeural": {
            "name": "Xiaorui",
            "variants": ["calm", "fearful", "angry", "sad"],
        },
        "XiaoshuangNeural": {"name": "Xiaoshuang", "variants": ["chat"]},
        "XiaoxiaoNeural": {
            "name": "Xiaoxiao",
            "variants": [
                "assistant",
                "chat",
                "customerservice",
                "newscast",
                "affectionate",
                "angry",
                "calm",
                "cheerful",
                "disgruntled",
                "fearful",
                "gentle",
                "lyrical",
                "sad",
                "serious",
                "poetry-reading",
                "friendly",
                "chat-casual",
                "whispering",
                "sorry",
                "excited",
            ],
        },
        "XiaoxiaoDialectsNeural": "Xiaoxiao Dialects",
        "XiaoyanNeural": "Xiaoyan",
        "XiaoyiNeural": {
            "name": "Xiaoyi",
            "variants": [
                "angry",
                "disgruntled",
                "affectionate",
                "cheerful",
                "fearful",
                "sad",
                "embarrassed",
                "serious",
                "gentle",
            ],
        },
        "XiaoyouNeural": "Xiaoyou",
        "XiaozhenNeural": {
            "name": "Xiaozhen",
            "variants": [
                "angry",
                "disgruntled",
                "cheerful",
                "fearful",
                "sad",
                "serious",
            ],
        },
        "YunfengNeural": {
            "name": "Yunfeng",
            "variants": [
                "angry",
                "disgruntled",
                "cheerful",
                "fearful",
                "sad",
                "serious",
                "depressed",
            ],
        },
        "YunhaoNeural": {"name": "Yunhao", "variants": ["advertisement-upbeat"]},
        "YunjianNeural": {
            "name": "Yunjian",
            "variants": [
                "narration-relaxed",
                "sports-commentary",
                "sports-commentary-excited",
                "angry",
                "disgruntled",
                "cheerful",
                "sad",
                "serious",
                "depressed",
                "documentary-narration",
            ],
        },
        "YunjieNeural": "Yunjie",
        "YunxiNeural": {
            "name": "Yunxi",
            "variants": [
                "narration-relaxed",
                "embarrassed",
                "fearful",
                "cheerful",
                "disgruntled",
                "serious",
                "angry",
                "sad",
                "depressed",
                "chat",
                "assistant",
                "newscast",
            ],
        },
        "YunxiaNeural": {
            "name": "Yunxia",
            "variants": ["calm", "fearful", "cheerful", "angry", "sad"],
        },
        "YunyangNeural": {
            "name": "Yunyang",
            "variants": [
                "customerservice",
                "narration-professional",
                "newscast-casual",
            ],
        },
        "YunyeNeural": {
            "name": "Yunye",
            "variants": [
                "embarrassed",
                "calm",
                "fearful",
                "cheerful",
                "disgruntled",
                "serious",
                "angry",
                "sad",
            ],
        },
        "YunzeNeural": {
            "name": "Yunze",
            "variants": [
                "calm",
                "fearful",
                "cheerful",
                "disgruntled",
                "serious",
                "angry",
                "sad",
                "depressed",
                "documentary-narration",
            ],
        },
    },
    "zh-CN-henan": {"YundengNeural": "Yundeng"},
    "zh-CN-shandong": {"YunxiangNeural": "Yunxiang"},
    "zh-HK": {
        "HiuGaaiNeural": "HiuGaai",
        "HiuMaanNeural": "HiuMaan",
        "WanLungNeural": "WanLung",
    },
    "zh-TW": {
        "HsiaoChenNeural": "HsiaoChen",
        "HsiaoYuNeural": "HsiaoYu",
        "YunJheNeural": "YunJhe",
    },
    "zu-ZA": {"ThandoNeural": "Thando", "ThembaNeural": "Themba"},
}
